| Home | Libraries | People | FAQ | More

##### saved_handler::maybe_invoke

Conditionally invoke the stored completion handler.

###### Synopsis

    bool
    maybe_invoke();

###### Description

Invokes the stored completion handler if `this->has_value() == true`, otherwise does nothing. Any dynamic memory used is deallocated before the stored completion handler is invoked. The executor work guard is also reset before the invocation.

###### Return Value

`true` if the invocation took place.